package com.steerinfo.ems.tcm0311.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TCm0311 implements IBasePO<String> {
    /**
     * 监测项目代码(ITEMCODE,VARCHAR,400)
     */
    @ApiModelProperty(value="监测项目代码",required=false)
    private String itemcode;

    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=true)
    private String recordid;

    /**
     * 监测状态(CHECKSTATE,VARCHAR,400)
     */
    @ApiModelProperty(value="监测状态",required=true)
    private String checkstate;

    /**
     * 监测项目名称(ITEMNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="监测项目名称",required=true)
    private String itemname;

    /**
     * 单位(UNIT,VARCHAR,400)
     */
    @ApiModelProperty(value="单位",required=true)
    private String unit;

    /**
     * 备注(BZ,VARCHAR,400)
     */
    @ApiModelProperty(value="备注",required=true)
    private String bz;

    /**
     * 序号(XH,DECIMAL,2)
     */
    @ApiModelProperty(value="序号",required=true)
    private Long xh;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String createman;

    /**
     * 创建时间(CREATETIME,DATE,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.itemcode;
    }

    @Override
    public void setId(String itemcode) {
        this.itemcode = itemcode == null ? null : itemcode.trim();
    }

    public String getItemcode() {
        return itemcode;
    }

    public void setItemcode(String itemcode) {
        this.itemcode = itemcode == null ? null : itemcode.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getCheckstate() {
        return checkstate;
    }

    public void setCheckstate(String checkstate) {
        this.checkstate = checkstate == null ? null : checkstate.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public Long getXh() {
        return xh;
    }

    public void setXh(Long xh) {
        this.xh = xh;
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemcode=").append(itemcode);
        sb.append(", recordid=").append(recordid);
        sb.append(", checkstate=").append(checkstate);
        sb.append(", itemname=").append(itemname);
        sb.append(", unit=").append(unit);
        sb.append(", bz=").append(bz);
        sb.append(", xh=").append(xh);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}